#ifndef INPUT_DIALOG_H
#define INPUT_DIALOG_H

#include <QtGui>
#include "ui_inputDialog.h"
#include <cassert>

///InputDialog used to input one value
class InputDialog : public QDialog {
	Q_OBJECT

private:
	Ui::InputDialog ui_;
signals:
	void submitSignal();
	void cancelSignal();
private slots:
	void submitButtonClickedSlot(bool checked);

	void cancelButtonClickedSlot(bool checked);
public:
	InputDialog(QWidget * parent);

	void setTitle(const std::wstring & value);

	void setTitle(const std::string & value);

	void setMessage(const std::wstring & value);

	void setMessage(const std::string & value);

	void setInputLabel(const std::wstring & value);

	void setIcon(const std::string & iconKey);

	std::string getInputString() const;
};

#endif